Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2480::/12
First address
2480::
Last address
248f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2480:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
8.4.2.ip6.arpa
Split into smaller subnets/28

2480::/12 makes 65,536 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12480::/282480:f:ffff:ffff:ffff:ffff:ffff:ffff
22480:10::/282480:1f:ffff:ffff:ffff:ffff:ffff:ffff
32480:20::/282480:2f:ffff:ffff:ffff:ffff:ffff:ffff
42480:30::/282480:3f:ffff:ffff:ffff:ffff:ffff:ffff
52480:40::/282480:4f:ffff:ffff:ffff:ffff:ffff:ffff
62480:50::/282480:5f:ffff:ffff:ffff:ffff:ffff:ffff
72480:60::/282480:6f:ffff:ffff:ffff:ffff:ffff:ffff
82480:70::/282480:7f:ffff:ffff:ffff:ffff:ffff:ffff
92480:80::/282480:8f:ffff:ffff:ffff:ffff:ffff:ffff
102480:90::/282480:9f:ffff:ffff:ffff:ffff:ffff:ffff
112480:a0::/282480:af:ffff:ffff:ffff:ffff:ffff:ffff
122480:b0::/282480:bf:ffff:ffff:ffff:ffff:ffff:ffff
132480:c0::/282480:cf:ffff:ffff:ffff:ffff:ffff:ffff
142480:d0::/282480:df:ffff:ffff:ffff:ffff:ffff:ffff
152480:e0::/282480:ef:ffff:ffff:ffff:ffff:ffff:ffff
162480:f0::/282480:ff:ffff:ffff:ffff:ffff:ffff:ffff
172480:100::/282480:10f:ffff:ffff:ffff:ffff:ffff:ffff
182480:110::/282480:11f:ffff:ffff:ffff:ffff:ffff:ffff
192480:120::/282480:12f:ffff:ffff:ffff:ffff:ffff:ffff
202480:130::/282480:13f:ffff:ffff:ffff:ffff:ffff:ffff
212480:140::/282480:14f:ffff:ffff:ffff:ffff:ffff:ffff
222480:150::/282480:15f:ffff:ffff:ffff:ffff:ffff:ffff
232480:160::/282480:16f:ffff:ffff:ffff:ffff:ffff:ffff
242480:170::/282480:17f:ffff:ffff:ffff:ffff:ffff:ffff
252480:180::/282480:18f:ffff:ffff:ffff:ffff:ffff:ffff
262480:190::/282480:19f:ffff:ffff:ffff:ffff:ffff:ffff
272480:1a0::/282480:1af:ffff:ffff:ffff:ffff:ffff:ffff
282480:1b0::/282480:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292480:1c0::/282480:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302480:1d0::/282480:1df:ffff:ffff:ffff:ffff:ffff:ffff
312480:1e0::/282480:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322480:1f0::/282480:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332480:200::/282480:20f:ffff:ffff:ffff:ffff:ffff:ffff
342480:210::/282480:21f:ffff:ffff:ffff:ffff:ffff:ffff
352480:220::/282480:22f:ffff:ffff:ffff:ffff:ffff:ffff
362480:230::/282480:23f:ffff:ffff:ffff:ffff:ffff:ffff
372480:240::/282480:24f:ffff:ffff:ffff:ffff:ffff:ffff
382480:250::/282480:25f:ffff:ffff:ffff:ffff:ffff:ffff
392480:260::/282480:26f:ffff:ffff:ffff:ffff:ffff:ffff
402480:270::/282480:27f:ffff:ffff:ffff:ffff:ffff:ffff
412480:280::/282480:28f:ffff:ffff:ffff:ffff:ffff:ffff
422480:290::/282480:29f:ffff:ffff:ffff:ffff:ffff:ffff
432480:2a0::/282480:2af:ffff:ffff:ffff:ffff:ffff:ffff
442480:2b0::/282480:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452480:2c0::/282480:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462480:2d0::/282480:2df:ffff:ffff:ffff:ffff:ffff:ffff
472480:2e0::/282480:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482480:2f0::/282480:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492480:300::/282480:30f:ffff:ffff:ffff:ffff:ffff:ffff
502480:310::/282480:31f:ffff:ffff:ffff:ffff:ffff:ffff
512480:320::/282480:32f:ffff:ffff:ffff:ffff:ffff:ffff
522480:330::/282480:33f:ffff:ffff:ffff:ffff:ffff:ffff
532480:340::/282480:34f:ffff:ffff:ffff:ffff:ffff:ffff
542480:350::/282480:35f:ffff:ffff:ffff:ffff:ffff:ffff
552480:360::/282480:36f:ffff:ffff:ffff:ffff:ffff:ffff
562480:370::/282480:37f:ffff:ffff:ffff:ffff:ffff:ffff
572480:380::/282480:38f:ffff:ffff:ffff:ffff:ffff:ffff
582480:390::/282480:39f:ffff:ffff:ffff:ffff:ffff:ffff
592480:3a0::/282480:3af:ffff:ffff:ffff:ffff:ffff:ffff
602480:3b0::/282480:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612480:3c0::/282480:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622480:3d0::/282480:3df:ffff:ffff:ffff:ffff:ffff:ffff
632480:3e0::/282480:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642480:3f0::/282480:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652480:400::/282480:40f:ffff:ffff:ffff:ffff:ffff:ffff
662480:410::/282480:41f:ffff:ffff:ffff:ffff:ffff:ffff
672480:420::/282480:42f:ffff:ffff:ffff:ffff:ffff:ffff
682480:430::/282480:43f:ffff:ffff:ffff:ffff:ffff:ffff
692480:440::/282480:44f:ffff:ffff:ffff:ffff:ffff:ffff
702480:450::/282480:45f:ffff:ffff:ffff:ffff:ffff:ffff
712480:460::/282480:46f:ffff:ffff:ffff:ffff:ffff:ffff
722480:470::/282480:47f:ffff:ffff:ffff:ffff:ffff:ffff
732480:480::/282480:48f:ffff:ffff:ffff:ffff:ffff:ffff
742480:490::/282480:49f:ffff:ffff:ffff:ffff:ffff:ffff
752480:4a0::/282480:4af:ffff:ffff:ffff:ffff:ffff:ffff
762480:4b0::/282480:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772480:4c0::/282480:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782480:4d0::/282480:4df:ffff:ffff:ffff:ffff:ffff:ffff
792480:4e0::/282480:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802480:4f0::/282480:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812480:500::/282480:50f:ffff:ffff:ffff:ffff:ffff:ffff
822480:510::/282480:51f:ffff:ffff:ffff:ffff:ffff:ffff
832480:520::/282480:52f:ffff:ffff:ffff:ffff:ffff:ffff
842480:530::/282480:53f:ffff:ffff:ffff:ffff:ffff:ffff
852480:540::/282480:54f:ffff:ffff:ffff:ffff:ffff:ffff
862480:550::/282480:55f:ffff:ffff:ffff:ffff:ffff:ffff
872480:560::/282480:56f:ffff:ffff:ffff:ffff:ffff:ffff
882480:570::/282480:57f:ffff:ffff:ffff:ffff:ffff:ffff
892480:580::/282480:58f:ffff:ffff:ffff:ffff:ffff:ffff
902480:590::/282480:59f:ffff:ffff:ffff:ffff:ffff:ffff
912480:5a0::/282480:5af:ffff:ffff:ffff:ffff:ffff:ffff
922480:5b0::/282480:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932480:5c0::/282480:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942480:5d0::/282480:5df:ffff:ffff:ffff:ffff:ffff:ffff
952480:5e0::/282480:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962480:5f0::/282480:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972480:600::/282480:60f:ffff:ffff:ffff:ffff:ffff:ffff
982480:610::/282480:61f:ffff:ffff:ffff:ffff:ffff:ffff
992480:620::/282480:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002480:630::/282480:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012480:640::/282480:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022480:650::/282480:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032480:660::/282480:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042480:670::/282480:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052480:680::/282480:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062480:690::/282480:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072480:6a0::/282480:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082480:6b0::/282480:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092480:6c0::/282480:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102480:6d0::/282480:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112480:6e0::/282480:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122480:6f0::/282480:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132480:700::/282480:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142480:710::/282480:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152480:720::/282480:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162480:730::/282480:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172480:740::/282480:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182480:750::/282480:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192480:760::/282480:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202480:770::/282480:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212480:780::/282480:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222480:790::/282480:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232480:7a0::/282480:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242480:7b0::/282480:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252480:7c0::/282480:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262480:7d0::/282480:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272480:7e0::/282480:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282480:7f0::/282480:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292480:800::/282480:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302480:810::/282480:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312480:820::/282480:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322480:830::/282480:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332480:840::/282480:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342480:850::/282480:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352480:860::/282480:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362480:870::/282480:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372480:880::/282480:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382480:890::/282480:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392480:8a0::/282480:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402480:8b0::/282480:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412480:8c0::/282480:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422480:8d0::/282480:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432480:8e0::/282480:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442480:8f0::/282480:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452480:900::/282480:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462480:910::/282480:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472480:920::/282480:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482480:930::/282480:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492480:940::/282480:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502480:950::/282480:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512480:960::/282480:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522480:970::/282480:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532480:980::/282480:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542480:990::/282480:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552480:9a0::/282480:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562480:9b0::/282480:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572480:9c0::/282480:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582480:9d0::/282480:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592480:9e0::/282480:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602480:9f0::/282480:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612480:a00::/282480:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622480:a10::/282480:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632480:a20::/282480:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642480:a30::/282480:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652480:a40::/282480:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662480:a50::/282480:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672480:a60::/282480:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682480:a70::/282480:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692480:a80::/282480:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702480:a90::/282480:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712480:aa0::/282480:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722480:ab0::/282480:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732480:ac0::/282480:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742480:ad0::/282480:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752480:ae0::/282480:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762480:af0::/282480:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772480:b00::/282480:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782480:b10::/282480:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792480:b20::/282480:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802480:b30::/282480:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812480:b40::/282480:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822480:b50::/282480:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832480:b60::/282480:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842480:b70::/282480:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852480:b80::/282480:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862480:b90::/282480:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872480:ba0::/282480:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882480:bb0::/282480:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892480:bc0::/282480:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902480:bd0::/282480:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912480:be0::/282480:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922480:bf0::/282480:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932480:c00::/282480:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942480:c10::/282480:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952480:c20::/282480:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962480:c30::/282480:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972480:c40::/282480:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982480:c50::/282480:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992480:c60::/282480:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002480:c70::/282480:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012480:c80::/282480:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022480:c90::/282480:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032480:ca0::/282480:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042480:cb0::/282480:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052480:cc0::/282480:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062480:cd0::/282480:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072480:ce0::/282480:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082480:cf0::/282480:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092480:d00::/282480:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102480:d10::/282480:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112480:d20::/282480:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122480:d30::/282480:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132480:d40::/282480:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142480:d50::/282480:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152480:d60::/282480:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162480:d70::/282480:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172480:d80::/282480:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182480:d90::/282480:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192480:da0::/282480:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202480:db0::/282480:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212480:dc0::/282480:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222480:dd0::/282480:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232480:de0::/282480:def:ffff:ffff:ffff:ffff:ffff:ffff
2242480:df0::/282480:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252480:e00::/282480:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262480:e10::/282480:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272480:e20::/282480:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282480:e30::/282480:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292480:e40::/282480:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302480:e50::/282480:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312480:e60::/282480:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322480:e70::/282480:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332480:e80::/282480:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342480:e90::/282480:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352480:ea0::/282480:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362480:eb0::/282480:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372480:ec0::/282480:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382480:ed0::/282480:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392480:ee0::/282480:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402480:ef0::/282480:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412480:f00::/282480:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422480:f10::/282480:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432480:f20::/282480:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442480:f30::/282480:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452480:f40::/282480:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462480:f50::/282480:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472480:f60::/282480:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482480:f70::/282480:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492480:f80::/282480:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502480:f90::/282480:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512480:fa0::/282480:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522480:fb0::/282480:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532480:fc0::/282480:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542480:fd0::/282480:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552480:fe0::/282480:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562480:ff0::/282480:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses